org.apache.hc.core5.http

## Class MalformedChunkCodingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hc.core5.http.MalformedChunkCodingException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TruncatedChunkException

      public class MalformedChunkCodingException
      extends IOException

  Signals a malformed chunked stream.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MalformedChunkCodingException()` Creates a MalformedChunkCodingException without a detail message.
    `MalformedChunkCodingException(String message)` Creates a MalformedChunkCodingException with the specified detail message.
    `MalformedChunkCodingException(String format, Object... args)` Constructs a new MalformedChunkCodingException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MalformedChunkCodingException

          public MalformedChunkCodingException()

      Creates a MalformedChunkCodingException without a detail message.

    - #### MalformedChunkCodingException

          public MalformedChunkCodingException(String message)

      Creates a MalformedChunkCodingException with the specified detail message.
      Parameters:
        `message` - The exception detail message

    - #### MalformedChunkCodingException

          public MalformedChunkCodingException(String format,
                                       Object... args)

      Constructs a new MalformedChunkCodingException with the specified detail message.
      Parameters:
        `format` - The exception detail message format; see `String.format(String, Object...)`.
        `args` - The exception detail message arguments; see `String.format(String, Object...)`.
      Since:
        5.0

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.